Subject: Offline Message from Richard: I was wondering if you guys are having the same
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 27 May 2022 04:47:45 -0000

From: Richard <[email-masked]>
Phone: 6093143171
Location: Storrs, United States
URL: https://swagtron.com/electric-bikes
Department: SwagTron

I was wondering if you guys are having the same problem with inventory that my local bike shop is having. I put it in last August and they are still waiting for parts. I had two swagcycles with different problems. One was a bad battery and the other one had wiring issues. Everytime i turn the handle bars, the power would go out. 

----
Zopim
https://www.zopim.com